petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPPythonSetType

Initalize a KSP object implemented in Python.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPPythonSetType(KSP ksp,const char pyname[])

Collective on KSP

### Input Parameter

| ksp | - the linear solver (KSP) context.
| pyname | - full dotted Python name [package].module[.{class|function}]

### Options Database Key

-ksp_python_type <pyname> -

### Keywords

KSP, Python

### See Also

KSPCreate(), KSPSetType(), KSPPYTHON, PetscPythonInitialize()

### Level

intermediate

### Location

src/ksp/ksp/impls/python/pythonksp.c

### Examples

src/ksp/ksp/examples/tutorials/ex100.c.html
src/ksp/ksp/examples/tutorials/ex100f.F90.html
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages